Inhoud

# Functie StrComp

Vergelijkt twee tekenreeksen en geeft een geheel getal als het resultaat van de vergelijking.

### Syntaxis:

    StrComp (string1 As String, string2 As String[, Compare As Integer]) As Integer

### Parameters:

string1: Elke tekenreeksexpressie

string2: Elke tekenreeksexpressie

Compare: Deze optionele parameter stelt de vergelijkingsmethode in. Als Compare = 1, is de tekenreeksvergelijking hoofdlettergevoelig. Als Compare = 0, wordt er geen onderscheid gemaakt tussen hoofdletters en kleine letters.

### Retourtype:

Integer

- If string1 < string2 the function returns -1

- Als string1 = string2 geeft de functie 0 terug

- Als string1 > string2 geeft de functie 1 terug

### Foutcodes:

5 Ongeldige aanroep van procedure

### Voorbeeld:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub